package org.eco.als.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;

/**
 * 任务携行对象 als_carry_checklist_t
 *
 * @author wgk
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "als_carry_checklist_t")
public class CarryChecklist extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long id;

    /**
     * 机型
     */
    private String aircraftModel;

    /**
     * 机号
     */
    private String aircraftId;

    /**
     * 成品名称
     */
    private String name;

    /**
     * 型号
     */
    private String model;

    /**
     * 厂家名称
     */
    private String factory;

    /**
     * 需求数量
     */
    private Integer quantity;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态（1正常）
     */
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
