package org.eco.als.domain.bo;

import org.eco.als.domain.FaultNotes;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障注意事项业务对象 als_fault_notes_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultNotes.class, reverseConvertGenerate = false)
public class FaultNotesBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 注意内容
     */
    private String noteContent;

    /**
     * 图片
     */
    private String image;

    /**
     * 备注
     */
    private String remarks;


}
