package org.eco.als.domain.bo;

import org.eco.als.domain.FaultPersonnel;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障操作人员业务对象 als_fault_personnel_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultPersonnel.class, reverseConvertGenerate = false)
public class FaultPersonnelBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 人员
     */
    private String personnel;

    /**
     * 岗位
     */
    private String position;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 职责
     */
    private String duties;

    /**
     * 备注
     */
    private String remarks;


}
