package org.eco.als.domain.bo;

import org.eco.als.domain.FaultSpareParts;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 故障所需备件业务对象 als_fault_spare_parts_t
 *
 * @author wgk
 * @date 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FaultSpareParts.class, reverseConvertGenerate = false)
public class FaultSparePartsBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 备件编号
     */
    private String sparePartsCode;

    /**
     * 备件名称
     */
    private String sparePartsName;

    /**
     * 规格型号
     */
    private String modelNumber;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 用途
     */
    private String purpose;

    /**
     * 备注
     */
    private String remarks;


}
