package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.FlightSplitTask;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 飞行分解任务业务对象 als_flight_split_task_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FlightSplitTask.class, reverseConvertGenerate = false)
public class FlightSplitTaskBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 飞行编号
     */
    private Long flightId;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftModel;

    /**
     * 机组
     */
    @NotBlank(message = "机组不能为空")
    private String aircraftGroup;

    /**
     * 时长
     */
    @NotBlank(message = "时长不能为空")
    private String duration;

    /**
     * 设备
     */
    @NotBlank(message = "设备不能为空")
    private String device;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    private Integer deviceCount;

    /**
     * 单位
     */
    @NotBlank(message = "单位不能为空")
    private String unit;

    /**
     * 备注
     */
    private String remark;


}
