package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.SafeRuleSub;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 保障规则子业务对象 als_safe_rule_sub_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SafeRuleSub.class, reverseConvertGenerate = false)
public class SafeRuleSubBo extends BaseEntity {

    private Long id;
    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftModel;

    /**
     * 机组
     */
    @NotBlank(message = "机组不能为空")
    private String aircraftGroup;

    /**
     * 时长
     */
    @NotBlank(message = "时长不能为空")
    private String duration;

    /**
     * 设备
     */
    @NotBlank(message = "设备不能为空")
    private String device;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    private Integer deviceCount;

    /**
     * 单位
     */
    @NotBlank(message = "单位不能为空")
    private String unit;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态（1正常）
     */
    private String status;


}
