package org.eco.als.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.TechnicalDoc;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.Date;

/**
 * 技术资料业务对象 als_technical_doc_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TechnicalDoc.class, reverseConvertGenerate = false)
public class TechnicalDocBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 名称
     */
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 作者
     */
    @NotBlank(message = "作者不能为空")
    private String author;

    /**
     * 出版时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date publicationDate;

    /**
     * 资料类型
     */
    private String type;


}
