package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

import lombok.NoArgsConstructor;

/**
 * 故障注意事项导入视图对象 als_fault_notes_t
 *
 * @author wgk
 * @date 2024-10-25
 */

@Data
@NoArgsConstructor
@ExcelIgnoreUnannotated
public class FaultNotesImportVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 注意内容
     */
    @ExcelProperty(value = "注意内容")
    private String noteContent;

    /**
     * 图片
     */
    @ExcelProperty(value = "图片")
    private String image;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
