package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.SafeRuleSub;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 保障规则子视图对象 als_safe_rule_sub_t
 *
 * @author wgk
 * @date 2024-07-24
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SafeRuleSub.class)
public class SafeRuleSubVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftModel;

    /**
     * 机组
     */
    @ExcelProperty(value = "机组")
    private String aircraftGroup;

    /**
     * 时长
     */
    @ExcelProperty(value = "时长")
    private String duration;

    /**
     * 设备
     */
    @ExcelProperty(value = "设备")
    private String device;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Integer deviceCount;

    /**
     * 单位
     */
    @ExcelProperty(value = "单位")
    private String unit;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 状态（1正常）
     */
    @ExcelProperty(value = "状态（1正常）")
    private String status;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
