DROP TABLE "lqbz"."als_fault_case_t";
CREATE TABLE "lqbz"."als_fault_case_t"
(
"id" BIGINT NOT NULL,
"aircraft_type_id" varchar(255),
"aircraft_type_name" varchar(255),
"aircraft_system_id" varchar(255),
"aircraft_system_name" varchar(255),
"aircraft_subsystem_id" varchar(255),
"aircraft_subsystem_name" varchar(255),
"author" varchar(255),
"fault_phenomenon" varchar(255),
"fault_cause" varchar(255),
"fault_tree_path" varchar(255),
"fault_picture_path" varchar(255),
"troubleshooting_method_path" varchar(255),
"view_count" varchar(255),
"order_by" varchar(255),
"tenant_id" BIGINT,
"version" INTEGER,
"del_flag" BIT DEFAULT 0,
"create_by" BIGINT,
"create_time" TIMESTAMP(6),
"update_by" BIGINT,
"update_time" TIMESTAMP(6),
NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "MAIN", CLUSTERBTR);

COMMENT ON TABLE "lqbz"."als_fault_case_t" IS '故障案例';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_type_id" IS '飞机编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_type_name" IS '机型';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_system_id" IS '系统编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_system_name" IS '系统';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_subsystem_id" IS '分系统编号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."aircraft_subsystem_name" IS '分系统';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."author" IS '作者';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_phenomenon" IS '故障现象';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_cause" IS '故障原因';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_tree_path" IS '故障树';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_picture_path" IS '故障图';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."troubleshooting_method_path" IS '排故方法';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."view_count" IS '查看次数';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."order_by" IS '排序';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."fault_cause" IS '故障原因';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_fault_case_t"."update_time" IS '更新时间';
