DROP TABLE IF EXISTS "lqbz"."als_communication_t";
CREATE TABLE "lqbz"."als_communication_t"
(
"id" BIGINT NOT NULL,
"name" VARCHAR(255),
"ip_address" VARCHAR(255),
"network_segment" VARCHAR(255),
"subnet_mask" VARCHAR(255),
"dns" VARCHAR(255),
"gateway" VARCHAR(255),
"http" VARCHAR(255),
"port" VARCHAR(255),
"user_name" VARCHAR(255),
"password" VARCHAR(255),
"tenant_id" BIGINT,
"version" INTEGER,
"del_flag" BIT DEFAULT 0,
"create_by" BIGINT,
"create_time" TIMESTAMP(6),
"update_by" BIGINT,
"update_time" TIMESTAMP(6),
NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "MAIN", CLUSTERBTR);

COMMENT ON TABLE "lqbz"."als_communication_t" IS '通讯管理';

COMMENT ON COLUMN "lqbz"."als_communication_t"."id" IS '编号';

COMMENT ON COLUMN "lqbz"."als_communication_t"."name" IS '名称';

COMMENT ON COLUMN "lqbz"."als_communication_t"."ip_address" IS 'IP地址';

COMMENT ON COLUMN "lqbz"."als_communication_t"."network_segment" IS '网段';

COMMENT ON COLUMN "lqbz"."als_communication_t"."subnet_mask" IS '子网掩码';

COMMENT ON COLUMN "lqbz"."als_communication_t"."dns" IS 'DNS';

COMMENT ON COLUMN "lqbz"."als_communication_t"."gateway" IS '网关';

COMMENT ON COLUMN "lqbz"."als_communication_t"."http" IS 'http';

COMMENT ON COLUMN "lqbz"."als_communication_t"."port" IS '端口号';

COMMENT ON COLUMN "lqbz"."als_communication_t"."user_name" IS '用户名';

COMMENT ON COLUMN "lqbz"."als_communication_t"."password" IS '密码';

COMMENT ON COLUMN "lqbz"."als_communication_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "lqbz"."als_communication_t"."version" IS '乐观锁';

COMMENT ON COLUMN "lqbz"."als_communication_t"."del_flag" IS '删除标识（1删除 0未删除）';

COMMENT ON COLUMN "lqbz"."als_communication_t"."create_by" IS '创建人';

COMMENT ON COLUMN "lqbz"."als_communication_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "lqbz"."als_communication_t"."update_by" IS '更新人';

COMMENT ON COLUMN "lqbz"."als_communication_t"."update_time" IS '更新时间';
